require "chickadee/application"

describe Chickadee::Application do
  describe "service" do
    it "returns callable object" do
      env = {}
      controller = Proc.new{ |req, res| [req, res] }
      application = Chickadee::Application.new
      application.register(:my_service){ controller }
      obj = application.service(:my_service)
      req, res = obj.call(env)
      req.must_be_instance_of(Rack::Request)
      res.must_be_instance_of(Rack::Response)
    end
  end
end